Agency roles
Search roles for an agency member
curl -X GET "https://external-api.paraform.com/api/external/v1/agency/roles/search?recruiterEmail=jane@example.com&limit=20" \
-H "Authorization: Bearer $PARAFORM_API_KEY"
{
"roles": [
{
"id": "string",
"title": "string",
"company": {
"name": "string"
},
"status": "ACTIVE",
"locations": [
"string"
],
"workplaceType": "REMOTE",
"baseSalary": {
"currency": "string",
"min": 0,
"max": 0
},
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"nextCursor": "string"
}
Required scopes:
Rate limit:
agency_roles:readRate limit:
default tier, 120 requests per minute per keyQuery parameters
string
required
Email of a currently approved member of the authenticated agency. Selects that member’s permissions; it does not authenticate the person holding the key.
Constraints: format
email, max length 254.string
Browse’s typo-tolerant role and company search. Omit to browse active roles without a text filter.
Constraints: min length 1, max length 200.
string | string[]
Repeat for multiple normalized location keys; values within this filter match any.
Show 21 allowed values
Show 21 allowed values
new_york, san_francisco, south_bay_area, los_angeles, boston, seattle, texas, chicago, europe, latam, korea, canada, australia, india, uk, washington_dc, asia, denver, florida, minnesota, sacramentostring | string[]
Allowed values:
REMOTE, ON_SITE, HYBRID.string | string[]
Show 83 allowed values
Show 83 allowed values
backend_engineer, frontend_engineer, full_stack_engineer, mobile_engineer, infrastructure_devops_sre, security_engineer, forward_deployed_engineer_solutions_support, robotics_software_engineer, robotics_platform_engineer, sales_solutions_engineer, qa_test_engineering, blockchain_protocol_engineer, developer_relations_advocacy, founding_engineer, product_engineer, embedded_firmware_engineer, mechanical_engineer, electrical_engineer, robotics_hardware_engineer, aerospace_flight_engineer, machine_learning_engineer, robotics_ml_engineer, data_engineer, data_science_analytics, computer_vision_engineer, research_scientist_applied_research, ai_ml_researcher, research_engineer_applied_research, data_scientist_applied_scientist, machine_learning_infrastructure, machine_learning_ops_platform, research_scientist, research_engineer, ai_engineer, product_management, product_design_ux_ui, brand_visual_design, marketing_growth, growth_engineer, growth_marketing, demand_generation, performance_paid_media, lifecycle_crm_email, seo_organic_growth, marketing_ops_analytics, product_marketing, customer_marketing, content_marketing, brand_marketing, social_media_influencer, communications_pr, events_field_marketing, marketing_leadership, founding_marketer_generalist, account_executives_sales, account_management_customer_success, business_development, sales_development_rep, customer_technical_support, content_copywriting, sales_gtm_leadership, partnerships, operations_strategy, robotics_operations_engineer, revenue_operations, finance_accounting, people_talent, chief_of_staff, program_project_management, executive_assistant, data_analyst, engineering_leadership, executive_leadership, clinical_healthcare, legal_compliance_officer, legal_operations, legal_compliance, legal_partner, legal_counsel, legal_associate, legal_in_house_counsel, legal_paralegal, legal_adminstring | string[]
Industry key (for example, fintech or healthcare), or a namespaced practice area (for example, law::litigation). Repeat for multiple values.
string | string[]
Show 145 allowed values
Show 145 allowed values
java, python, javascript, typescript, react, node, nextjs, tensorflow, pytorch, tensorboard, pyspark, kafka, kubernetes, redis, mongo, postgresql, mysql, mongodb, aws, gcp, azure, git, docker, k8s, terraform, tailwind, cloudflare, c/c++, c#, htmx, html, css, ruby, ruby_on_rails, django, flutter, dart, fastapi, graphql, rest_api, vue, svelte, langchain, snowflake, hadoop, mapreduce, rpc, cassandra, cicd, graph_database, vector_database, open_ai, web3, solidity, go, rust, scala, kotlin, swift, php, laravel, spring_boot, express, angular, ember, backbone, jquery, sass, less, webpack, babel, elasticsearch, rabbitmq, nginx, apache, jenkins, travis_ci, circle_ci, ansible, puppet, chef, prometheus, grafana, tableau, power_bi, d3, three_js, unity, unreal_engine, opencv, scikit_learn, pandas, numpy, r, sas, spark, hive, airflow, luigi, dask, kubeflow, mlflow, webflow, zapier, hubspot, sigma, notion, amplitude, google_ads, google_search, figma, photoshop, illustrator, after_effects, premiere_pro, audacity, canva, slack, microsoft_office, microsoft_word, microsoft_excel, microsoft_powerpoint, salesforce, jira, confluence, trello, monday, basecamp, zendesk, intercom, mailchimp, sendgrid, stripe, paypal, square, quickbooks, xero, looker, google_analytics, adobe_creative_suite, sketch, invision, zeplin, framer, airtablestring | number
Annual candidate base salary in whole currency units, matched to the nearest 1,000 without currency conversion.
string | number
string | number
string | number
string | number
default:"20"
string
Opaque continuation token. Reuse only with the same agency, recruiter, query, and filters. Results are live, not a frozen snapshot.
Constraints: min length 1, max length 2048.
Response
object[]
required
Show roles properties
Show roles properties
string
required
string
required
string
required
Allowed values:
ACTIVE, PAUSED, CLOSED.string[]
required
string | null
required
Allowed values:
REMOTE, HYBRID, ON_SITE.object | null
required
string
required
Constraints: format
date-time.string | null
required
curl -X GET "https://external-api.paraform.com/api/external/v1/agency/roles/search?recruiterEmail=jane@example.com&limit=20" \
-H "Authorization: Bearer $PARAFORM_API_KEY"
{
"roles": [
{
"id": "string",
"title": "string",
"company": {
"name": "string"
},
"status": "ACTIVE",
"locations": [
"string"
],
"workplaceType": "REMOTE",
"baseSalary": {
"currency": "string",
"min": 0,
"max": 0
},
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"nextCursor": "string"
}
⌘I
curl -X GET "https://external-api.paraform.com/api/external/v1/agency/roles/search?recruiterEmail=jane@example.com&limit=20" \
-H "Authorization: Bearer $PARAFORM_API_KEY"
{
"roles": [
{
"id": "string",
"title": "string",
"company": {
"name": "string"
},
"status": "ACTIVE",
"locations": [
"string"
],
"workplaceType": "REMOTE",
"baseSalary": {
"currency": "string",
"min": 0,
"max": 0
},
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"nextCursor": "string"
}